/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.jfree;

import org.dive4elements.artifacts.CallMeta;
import org.dive4elements.river.exports.LegendAggregator;
import org.dive4elements.river.themes.ThemeDocument;
import org.jfree.chart.LegendItem;
import org.jfree.chart.plot.XYPlot;
import org.jfree.data.xy.XYDataset;

/**
 * @author Domenico Nardi Tironi
 */
public interface StyledXYDataset extends XYDataset {
    void applyTheme(CallMeta callMeta, XYPlot plot, LegendAggregator legendBuilder, int datasetIndex);

    void applyAggregatedLegendTheme(LegendItem item, ThemeDocument theme);
}